{% extends 'app_pizzaplanet/base.html' %}
{% load static %}


{% block contenido %}

<script>

    function eliminarPer(id)

    {       Swal.fire({
                    title: '¿Está seguro que desea eliminar el producto?',
                    icon: 'warning',
                    confirmButtonText: 'Eliminar',
                    confirmButtonColor: 'Red',
                    showCancelButton: true,
                    cancelButtonText: 'Cancelar'

                    }).then(function(result){

                        if(result.isConfirmed)

                        {

                            window.location.href="/eliminar/" + id +"";

                        }

                    });

    



    }

</script>







<div class="container-fluid">
    <!-- Pagina Historial de pedidos-->
    <div class="container-fluid">
        <br>
        <div class="row">
            <div class="col-md-8 ml-3">
                <h2>Productos </h2>
            </div>
          
        </div>
        <br>
        <div class="row">
            
            </div>
            <div class="col-lg-9">
                <table class="table table-responsive text-center ">
                    <thead class="thead-light">
                        <tr>
                            
                            <th>Codigo</th>
                            <th>Producto</th>
                            <th>Nombre</th>
                            <th>Descripcion</th>
                            <th>Stock</th>
                            <th>Valor Unitario</th>
                            <th>Valor Total</th>
                            <th>Fecha Ingreso</th>
                            <th>Acciones</th>
                            <th></th>
                            
                            

                        </tr>
                    </thead>
                    <tbody id="tablaPro">
                        {% csrf_token %}
                        {% for item in productos %}
                        <tr>
                            <td>{{item.codigo}}</td>
                            <td><img src="{{item.imagen.url}}" class="img-fluid" alt="" width="150"></td>
                            <td>{{item.nombre}}</td>
                            <td>{{item.descripcion}}</td>
                            <td>{{item.stock}}</td>
                            <td>{{item.valorUnitario}}</td>
                            <td>{{item.valorTotal}}</td>
                            <td>{{item.fechaIngreso}}</td>
                            <td>
                                <a name="" id="" class="btn btn-warning text-dark" href="{% url 'editar' item.codigo %}" role="button">Modificar</a>

                                
                            </td>

                           <td>
                            <a name="" id="" class="btn btn-warning text-dark" href= "#" onclick="eliminarPer({{item.codigo}})" role="button">Eliminar</a>
                           </td>

                            
                            
                        </tr>
                        {% endfor %}
                    </tbody>
                </table>
                <a href="{% url 'gestionProductos' %}" class="btn btn-lg btn-danger">Volver</a>
                
            </div>
        </div>
    </div>
</div>





{% endblock contenido %}